#!/bin/sh -x

cd /root

if [ ! -e glass-ua ]
then
	echo "1|No glass-ua found" > /tmp/AC494.status
	exit 2
fi

i=1

while [ $i -le 5 ]
do
	if [ ! -e factory_test.cfg ]
	then
		if [ ! -e glass.cfg ]
		then
			if [ -e glass.cfg.bad ]
			then
				echo "1|Error: invalid glass.cfg" > /tmp/AC494.status
			else
				echo "1|Unprovisioned, no glass.cfg found" > /tmp/AC494.status
			fi
			
			sleep 2
			continue
		else
			CFGFILE=glass.cfg
			echo "0|Starting with $CFGFILE" > /tmp/AC494.status
		fi
	else
		CFGFILE=factory_test.cfg
		echo "2|Running in factory test" > /tmp/AC494.status
	fi

	# reload DSP module
    
	rmmod ac49x_dsp
	insmod /lib/modules/drivers/char/ac49x_dsp/ac49x_dsp.ko
            
	# run the glassvoip executable
                
	sleep 1
	
	cd /root
                    
	echo "[$i] `date`" >> glass-ua-start.log
	
	./glass-ua --config-file=$CFGFILE

	RET_CODE=$?

	if [ $RET_CODE -eq 999 ]
	then
		reboot
	fi
	
	if [ $RET_CODE -eq 1 ]
	then
		mv glass.cfg glass.cfg.bad
		echo "1|Error: invalid glass.cfg" > /tmp/AC494.status
	fi

	echo "4|Error: glass-ua quit with code $RET_CODE" > /tmp/AC494.status
	
	i=`expr $i + 1`
done

if [ -e reboot.count ]
then
	reboot_count=`cat reboot.count`
else
	reboot_count=0
fi

if [ $reboot_count -lt 2 ]
then
	reboot_count=`expr $reboot_count + 1`
	echo $reboot_count > reboot.count
	echo "Reboot[$reboot_count] `date`" >> glass-ua-start.log
	echo ">>>>>> Going to REBOOT in 10 secs..."
	sleep 10
	echo ">>>>>> REBOOT COUNT $reboot_count, REBOOTING"
	reboot
else
	echo ">>>>>> REBOOT COUNT $reboot_count, reached max, NOT REBOOTING"
	echo "No reboot `date`" >> glass-ua-start.log
	rm reboot.count
fi

